olecfinfo

NAME
olecfinfo - determines information about a Object Linking and Embedding (OLE) Compound File (CF)

SYNOPSIS
olecfinfo [-c codepage] [-ahvV] source

DESCRIPTION
olecfinfo is a utility to determine information about a Object Linking and Embedding (OLE) Compound File (CF)

olecfinfo is part of the libolecf package. libolecf is a library to access the Object Linking and Embedding (OLE) Compound File (CF) format

source is the source file.

The options are as follows:

-a  shows allocation information

-c codepage
    specify the codepage of ASCII strings, options: ascii, windows-874, windows-932, windows-936, windows-949, windows-950, windows-1250, windows-1251, windows-1252 (default), windows-1253, windows-1254, windows-1255, windows-1256, windows-1257 or windows-1258

-h  shows this help

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # olecfinfo WordDocument.doc
    olecfinfo 20131012
    OLE Compound File information:
    	Version			: 3.62
    	Sector size		: 512
    	Short sector size	: 64
    Storage and stream items:
    Root Entry (768 bytes)
      1Table (42656 bytes)
      WordDocument (4096 bytes)
      96 bytes)
      96 bytes)

    Summary information:
        ...

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libolecf/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2008-2015, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
olecfexport(1)